Skip to main content
`Ctrl`+`K`

# DSRegister

Adds a direct solver to the `DS` package.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRegister(const char *name,PetscErrorCode (*function)(DS))

Not Collective

## Input Parameters

- name - name of a new user-defined `DS`

- function - routine to create context

## Note

`DSRegister()` may be called multiple times to add several user-defined direct solvers.

## See Also

DS: Direct Solver (or Dense System), `DSRegisterAll()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages